Get imported files for item attributes
curl --request POST \
--url https://live.copilot.fabric.inc/api-product/v1/product/file/attribute/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"page": 1,
"size": 10
}
'import requests
url = "https://live.copilot.fabric.inc/api-product/v1/product/file/attribute/search"
payload = {
"page": 1,
"size": 10
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({page: 1, size: 10})
};
fetch('https://live.copilot.fabric.inc/api-product/v1/product/file/attribute/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalSize": 100,
"pageSize": 10,
"pages": 10,
"files": [
{
"type": "IMPORT",
"name": "<string>",
"statuses": [
{
"code": "<string>",
"type": "ATTRIBUTE",
"source": "PIM",
"name": "<string>",
"description": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0"
}
],
"progress": 100,
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "broma0",
"modifiedOn": "2023-11-07T05:31:56Z",
"modifiedBy": "broma0",
"secondsTakenToImport": 123,
"secondsTakenToProcess": 123
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Bulk Import
Get imported files for item attributes
Gets a list of files used to import item attributes, along with their current statuses. You will get a paginated response, which you can narrow down using filter criteria such as page and size.
POST
/
api-product
/
v1
/
product
/
file
/
attribute
/
search
Get imported files for item attributes
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Was this page helpful?
